<div *ngIf="game">
  <div class="headline">{{'GAME_CONTROL' | translate}} "{{game.name}}"</div>
  <div class="container">
    <div class="activeGame">
      <div class="controller">
        <div class="game-view">
          <div class="game__subheadline">
            {{'QUESTION_OVERVIEW' | translate}}
          </div>
          <div *ngIf="game.questions" class="game-view__questions">
            <div *ngFor="let q of game.questions;" class="game-view__categories">
              <div class="game-view-category-headline">{{q.name}}</div>
              <div class="game-view-questions">
                <div *ngFor="let qu of q.questions;" (click)="openQuestion(qu.id)"
                     [className]="qu.won === 0 ? 'game-question enabled' : 'game-question disabled'">
                  {{qu.points}}
                </div>
              </div>
            </div>
          </div>

          <div class="game__subheadline">
            {{'TEAMS' | translate}}
          </div>
          <div *ngIf="game.teams && game.activeTeam" class="teams">
            <div *ngFor="let team of game.teams;" [className]="team.id === game.activeTeam.id ? 'active' : 'no-active'">
              {{team.name}} ({{team.points}} {{'POINTS' | translate}})
            </div>
          </div>

        </div>
        <div class="control-view">
          <div class="game__subheadline">
            {{'CONTROL' | translate}}
          </div>
          <div *ngIf="selectedQuestion" class="selectedQuestion">
            <div class="selectedQuestion__headline">{{'SELECTED_QUESTION' | translate}}</div>
            <div *ngIf="timerSeconds > 0" class="selectedQuestion__timer">
              {{'DISPLAY_DURATION' | translate:this.translations()}}
            </div>

            <div class="selectedQuestion__question">
              {{selectedQuestion.question}}
            </div>
            <div class="selectedQuestion__answer">
              {{selectedQuestion.answer}}
            </div>

            <div class="selectedQuestion__options">
              <button (click)="closeQuestion()" class="btn">{{'CLOSE' | translate}}</button>
              <button (click)="showQuestion()" class="btn">{{'SHOW_QUESTION' | translate}}</button>
              <button (click)="showQuestionAnswer()" class="btn">{{'SHOW_ANSWER' | translate}}</button>
            </div>

            <div *ngIf="showRatingInput" class="selectedQuestion__points">
              {{'AWARD_POINTS' | translate}}
              <select (change)="changeRatingTeam($event)">
                <option *ngFor="let team of game.teams" value="{{team.id}}">{{team.name}}</option>
                <option value="-1">{{'ANY' | translate}}</option>
              </select>
              <button (click)="savePointsBtnClick()" class="btn">{{'SAVE_POINTS' | translate}}</button>
            </div>
          </div>

          <button (click)="showGameOverView()" class="btn">{{'SHOW_GAME_BOARD' | translate}}</button>

        </div>
      </div>
    </div>
  </div>
</div>
